open sips 1.9 issue

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

open sips 1.9 issue

zozo6015
Hello,

I have installed an opensips 1.9
I have the configuration copied from an 1.8 setup created a brand new database  when I start it I am getting the following errors:
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:init_mod: failed to initialize module dialog
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main: error while initializing modules

The error is telling about invalid version of the dialog table however if I check the version table the dialog has the value 8 as it supposed to have it.

Thanks
Peter
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

qasimakhan@gmail.com
Have you confirmed that table/DB name is correct? You can verify your version table from config.h in your sources.

-Qasim

On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Hello,

I have installed an opensips 1.9
I have the configuration copied from an 1.8 setup created a brand new database  when I start it I am getting the following errors:
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:init_mod: failed to initialize module dialog
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main: error while initializing modules

The error is telling about invalid version of the dialog table however if I check the version table the dialog has the value 8 as it supposed to have it.

Thanks
Peter
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

zozo6015
Yes, the table/DB name is correct. the same as in config.h in the sources.
#define VERSION_TABLE     "version"             /*!< Table holding versions of other opensips tables */
#define VERSION_COLUMN    "table_version"       /*!< Column name for the version value in version table */
#define TABLENAME_COLUMN  "table_name"          /*!< Column name of the table name column in the version table */

mysql> describe version;
+---------------+------------------+------+-----+---------+-------+
| Field         | Type             | Null | Key | Default | Extra |
+---------------+------------------+------+-----+---------+-------+
| table_name    | char(32)         | NO   | PRI | NULL    |       |
| table_version | int(10) unsigned | NO   |     | 0       |       |
+---------------+------------------+------+-----+---------+-------+
2 rows in set (0.00 sec)


On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]> wrote:

Have you confirmed that table/DB name is correct? You can verify your version table from config.h in your sources.

-Qasim

On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Hello,

I have installed an opensips 1.9
I have the configuration copied from an 1.8 setup created a brand new database  when I start it I am getting the following errors:
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:init_mod: failed to initialize module dialog
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main: error while initializing modules

The error is telling about invalid version of the dialog table however if I check the version table the dialog has the value 8 as it supposed to have it.

Thanks
Peter
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

qasimakhan@gmail.com
Set debug level to 6 and then send the logs again.

-Qasim

On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Yes, the table/DB name is correct. the same as in config.h in the sources.
#define VERSION_TABLE     "version"             /*!< Table holding versions of other opensips tables */
#define VERSION_COLUMN    "table_version"       /*!< Column name for the version value in version table */
#define TABLENAME_COLUMN  "table_name"          /*!< Column name of the table name column in the version table */

mysql> describe version;
+---------------+------------------+------+-----+---------+-------+
| Field         | Type             | Null | Key | Default | Extra |
+---------------+------------------+------+-----+---------+-------+
| table_name    | char(32)         | NO   | PRI | NULL    |       |
| table_version | int(10) unsigned | NO   |     | 0       |       |
+---------------+------------------+------+-----+---------+-------+
2 rows in set (0.00 sec)


On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]> wrote:

Have you confirmed that table/DB name is correct? You can verify your version table from config.h in your sources.

-Qasim

On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Hello,

I have installed an opensips 1.9
I have the configuration copied from an 1.8 setup created a brand new database  when I start it I am getting the following errors:
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:init_mod: failed to initialize module dialog
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main: error while initializing modules

The error is telling about invalid version of the dialog table however if I check the version table the dialog has the value 8 as it supposed to have it.

Thanks
Peter
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users



_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

qasimakhan@gmail.com
Also since you copied script from 1.8 you should consider going through this document.

http://www.opensips.org/Resources/DocsMigration180to190

-Qasim

On Mon, Mar 18, 2013 at 2:34 PM, [hidden email] <[hidden email]> wrote:
Set debug level to 6 and then send the logs again.

-Qasim


On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Yes, the table/DB name is correct. the same as in config.h in the sources.
#define VERSION_TABLE     "version"             /*!< Table holding versions of other opensips tables */
#define VERSION_COLUMN    "table_version"       /*!< Column name for the version value in version table */
#define TABLENAME_COLUMN  "table_name"          /*!< Column name of the table name column in the version table */

mysql> describe version;
+---------------+------------------+------+-----+---------+-------+
| Field         | Type             | Null | Key | Default | Extra |
+---------------+------------------+------+-----+---------+-------+
| table_name    | char(32)         | NO   | PRI | NULL    |       |
| table_version | int(10) unsigned | NO   |     | 0       |       |
+---------------+------------------+------+-----+---------+-------+
2 rows in set (0.00 sec)


On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]> wrote:

Have you confirmed that table/DB name is correct? You can verify your version table from config.h in your sources.

-Qasim

On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Hello,

I have installed an opensips 1.9
I have the configuration copied from an 1.8 setup created a brand new database  when I start it I am getting the following errors:
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:init_mod: failed to initialize module dialog
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main: error while initializing modules

The error is telling about invalid version of the dialog table however if I check the version table the dialog has the value 8 as it supposed to have it.

Thanks
Peter
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users




_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

zozo6015
In reply to this post by qasimakhan@gmail.com
Seting the debug t 6 does not give more information about this error

Mar 18 02:38:59 freya /usr/local/sbin/opensips[16070]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 18 02:38:59 freya /usr/local/sbin/opensips[16070]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 18 02:38:59 freya /usr/local/sbin/opensips[16070]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 18 02:38:59 freya /usr/local/sbin/opensips[16070]: ERROR:core:init_mod: failed to initialize module dialog
Mar 18 02:38:59 freya /usr/local/sbin/opensips[16070]: ERROR:core:main: error while initializing modules

Peter

On 18 Mar 2013, at 11:34, "[hidden email]" <[hidden email]> wrote:

Set debug level to 6 and then send the logs again.

-Qasim

On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Yes, the table/DB name is correct. the same as in config.h in the sources.
#define VERSION_TABLE     "version"             /*!< Table holding versions of other opensips tables */
#define VERSION_COLUMN    "table_version"       /*!< Column name for the version value in version table */
#define TABLENAME_COLUMN  "table_name"          /*!< Column name of the table name column in the version table */

mysql> describe version;
+---------------+------------------+------+-----+---------+-------+
| Field         | Type             | Null | Key | Default | Extra |
+---------------+------------------+------+-----+---------+-------+
| table_name    | char(32)         | NO   | PRI | NULL    |       |
| table_version | int(10) unsigned | NO   |     | 0       |       |
+---------------+------------------+------+-----+---------+-------+
2 rows in set (0.00 sec)


On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]> wrote:

Have you confirmed that table/DB name is correct? You can verify your version table from config.h in your sources.

-Qasim

On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Hello,

I have installed an opensips 1.9
I have the configuration copied from an 1.8 setup created a brand new database  when I start it I am getting the following errors:
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:init_mod: failed to initialize module dialog
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main: error while initializing modules

The error is telling about invalid version of the dialog table however if I check the version table the dialog has the value 8 as it supposed to have it.

Thanks
Peter
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

zozo6015
In reply to this post by qasimakhan@gmail.com
I have already vent trough this document. The migration script did not solved the problem that's why at one point I have deceided to create a complete new database for the opensips. But that did not helped either.

Regards,
Peter
On 18 Mar 2013, at 11:36, "[hidden email]" <[hidden email]> wrote:

Also since you copied script from 1.8 you should consider going through this document.

http://www.opensips.org/Resources/DocsMigration180to190

-Qasim

On Mon, Mar 18, 2013 at 2:34 PM, [hidden email] <[hidden email]> wrote:
Set debug level to 6 and then send the logs again.

-Qasim


On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Yes, the table/DB name is correct. the same as in config.h in the sources.
#define VERSION_TABLE     "version"             /*!< Table holding versions of other opensips tables */
#define VERSION_COLUMN    "table_version"       /*!< Column name for the version value in version table */
#define TABLENAME_COLUMN  "table_name"          /*!< Column name of the table name column in the version table */

mysql> describe version;
+---------------+------------------+------+-----+---------+-------+
| Field         | Type             | Null | Key | Default | Extra |
+---------------+------------------+------+-----+---------+-------+
| table_name    | char(32)         | NO   | PRI | NULL    |       |
| table_version | int(10) unsigned | NO   |     | 0       |       |
+---------------+------------------+------+-----+---------+-------+
2 rows in set (0.00 sec)


On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]> wrote:

Have you confirmed that table/DB name is correct? You can verify your version table from config.h in your sources.

-Qasim

On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes <[hidden email]> wrote:
Hello,

I have installed an opensips 1.9
I have the configuration copied from an 1.8 setup created a brand new database  when I start it I am getting the following errors:
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:init_dlg_db: error during table version check.
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:dialog:mod_init: failed to initialize the DB support
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:init_mod: failed to initialize module dialog
Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main: error while initializing modules

The error is telling about invalid version of the dialog table however if I check the version table the dialog has the value 8 as it supposed to have it.

Thanks
Peter
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users



_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

Laszlo
In reply to this post by qasimakhan@gmail.com
Also check the table schema of the dialog module, see
dialog-create.sql under /scripts/mysql
There are differences between 1.8 and 1.9.

dlg_id BIGINT(10) UNSIGNED PRIMARY KEY NOT NULL was removed

id INT(10) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL
hash_entry INT(10) UNSIGNED NOT NULL
hash_id INT(10) UNSIGNED NOT NULL

was added.

plus there is a new index:
CREATE INDEX hash_idx ON dialog (hash_entry, hash_id);

And in the version table, the table_version is now 8.

-Laszlo


2013/3/18 [hidden email] <[hidden email]>:

> Also since you copied script from 1.8 you should consider going through this
> document.
>
> http://www.opensips.org/Resources/DocsMigration180to190
>
> -Qasim
>
>
> On Mon, Mar 18, 2013 at 2:34 PM, [hidden email] <[hidden email]>
> wrote:
>>
>> Set debug level to 6 and then send the logs again.
>>
>> -Qasim
>>
>>
>> On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes
>> <[hidden email]> wrote:
>>>
>>> Yes, the table/DB name is correct. the same as in config.h in the
>>> sources.
>>> #define VERSION_TABLE     "version"             /*!< Table holding
>>> versions of other opensips tables */
>>> #define VERSION_COLUMN    "table_version"       /*!< Column name for the
>>> version value in version table */
>>> #define TABLENAME_COLUMN  "table_name"          /*!< Column name of the
>>> table name column in the version table */
>>>
>>> mysql> describe version;
>>> +---------------+------------------+------+-----+---------+-------+
>>> | Field         | Type             | Null | Key | Default | Extra |
>>> +---------------+------------------+------+-----+---------+-------+
>>> | table_name    | char(32)         | NO   | PRI | NULL    |       |
>>> | table_version | int(10) unsigned | NO   |     | 0       |       |
>>> +---------------+------------------+------+-----+---------+-------+
>>> 2 rows in set (0.00 sec)
>>>
>>>
>>> On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]>
>>> wrote:
>>>
>>> Have you confirmed that table/DB name is correct? You can verify your
>>> version table from config.h in your sources.
>>>
>>> -Qasim
>>>
>>> On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes
>>> <[hidden email]> wrote:
>>>>
>>>> Hello,
>>>>
>>>> I have installed an opensips 1.9
>>>> I have the configuration copied from an 1.8 setup created a brand new
>>>> database  when I start it I am getting the following errors:
>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>> ERROR:core:db_check_table_version: invalid version 0 for table dialog found,
>>>> expected 8
>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>> ERROR:dialog:init_dlg_db: error during table version check.
>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>> ERROR:dialog:mod_init: failed to initialize the DB support
>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>> ERROR:core:init_mod: failed to initialize module dialog
>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main:
>>>> error while initializing modules
>>>>
>>>> The error is telling about invalid version of the dialog table however
>>>> if I check the version table the dialog has the value 8 as it supposed to
>>>> have it.
>>>>
>>>> Thanks
>>>> Peter
>>>> _______________________________________________
>>>> Users mailing list
>>>> [hidden email]
>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>
>>>
>>> _______________________________________________
>>> Users mailing list
>>> [hidden email]
>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>
>>>
>>>
>>> _______________________________________________
>>> Users mailing list
>>> [hidden email]
>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>
>>
>
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

zozo6015
Does it have anything to do with the dialog part of the configuration?

# dialog
modparam('dialog', 'db_url', 'mysql://root:sp110q@db/votosips_pp')
modparam('dialog', 'dlg_match_mode', 1)
modparam('dialog', 'db_mode', 2)

Regards,
Peter
On 18 Mar 2013, at 11:46, Laszlo <[hidden email]> wrote:

> Also check the table schema of the dialog module, see
> dialog-create.sql under /scripts/mysql
> There are differences between 1.8 and 1.9.
>
> dlg_id BIGINT(10) UNSIGNED PRIMARY KEY NOT NULL was removed
>
> id INT(10) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL
> hash_entry INT(10) UNSIGNED NOT NULL
> hash_id INT(10) UNSIGNED NOT NULL
>
> was added.
>
> plus there is a new index:
> CREATE INDEX hash_idx ON dialog (hash_entry, hash_id);
>
> And in the version table, the table_version is now 8.
>
> -Laszlo
>
>
> 2013/3/18 [hidden email] <[hidden email]>:
>> Also since you copied script from 1.8 you should consider going through this
>> document.
>>
>> http://www.opensips.org/Resources/DocsMigration180to190
>>
>> -Qasim
>>
>>
>> On Mon, Mar 18, 2013 at 2:34 PM, [hidden email] <[hidden email]>
>> wrote:
>>>
>>> Set debug level to 6 and then send the logs again.
>>>
>>> -Qasim
>>>
>>>
>>> On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes
>>> <[hidden email]> wrote:
>>>>
>>>> Yes, the table/DB name is correct. the same as in config.h in the
>>>> sources.
>>>> #define VERSION_TABLE     "version"             /*!< Table holding
>>>> versions of other opensips tables */
>>>> #define VERSION_COLUMN    "table_version"       /*!< Column name for the
>>>> version value in version table */
>>>> #define TABLENAME_COLUMN  "table_name"          /*!< Column name of the
>>>> table name column in the version table */
>>>>
>>>> mysql> describe version;
>>>> +---------------+------------------+------+-----+---------+-------+
>>>> | Field         | Type             | Null | Key | Default | Extra |
>>>> +---------------+------------------+------+-----+---------+-------+
>>>> | table_name    | char(32)         | NO   | PRI | NULL    |       |
>>>> | table_version | int(10) unsigned | NO   |     | 0       |       |
>>>> +---------------+------------------+------+-----+---------+-------+
>>>> 2 rows in set (0.00 sec)
>>>>
>>>>
>>>> On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]>
>>>> wrote:
>>>>
>>>> Have you confirmed that table/DB name is correct? You can verify your
>>>> version table from config.h in your sources.
>>>>
>>>> -Qasim
>>>>
>>>> On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes
>>>> <[hidden email]> wrote:
>>>>>
>>>>> Hello,
>>>>>
>>>>> I have installed an opensips 1.9
>>>>> I have the configuration copied from an 1.8 setup created a brand new
>>>>> database  when I start it I am getting the following errors:
>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>> ERROR:core:db_check_table_version: invalid version 0 for table dialog found,
>>>>> expected 8
>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>> ERROR:dialog:init_dlg_db: error during table version check.
>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>> ERROR:dialog:mod_init: failed to initialize the DB support
>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>> ERROR:core:init_mod: failed to initialize module dialog
>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main:
>>>>> error while initializing modules
>>>>>
>>>>> The error is telling about invalid version of the dialog table however
>>>>> if I check the version table the dialog has the value 8 as it supposed to
>>>>> have it.
>>>>>
>>>>> Thanks
>>>>> Peter
>>>>> _______________________________________________
>>>>> Users mailing list
>>>>> [hidden email]
>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>
>>>>
>>>> _______________________________________________
>>>> Users mailing list
>>>> [hidden email]
>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> Users mailing list
>>>> [hidden email]
>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>
>>>
>>
>>
>> _______________________________________________
>> Users mailing list
>> [hidden email]
>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

Laszlo
No, as long as you using the new 1.9 database name in the db_url parameter.


2013/3/18 Peter Zoltan Keresztes <[hidden email]>:

> Does it have anything to do with the dialog part of the configuration?
>
> # dialog
> modparam('dialog', 'db_url', 'mysql://root:sp110q@db/votosips_pp')
> modparam('dialog', 'dlg_match_mode', 1)
> modparam('dialog', 'db_mode', 2)
>
> Regards,
> Peter
> On 18 Mar 2013, at 11:46, Laszlo <[hidden email]> wrote:
>
>> Also check the table schema of the dialog module, see
>> dialog-create.sql under /scripts/mysql
>> There are differences between 1.8 and 1.9.
>>
>> dlg_id BIGINT(10) UNSIGNED PRIMARY KEY NOT NULL was removed
>>
>> id INT(10) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL
>> hash_entry INT(10) UNSIGNED NOT NULL
>> hash_id INT(10) UNSIGNED NOT NULL
>>
>> was added.
>>
>> plus there is a new index:
>> CREATE INDEX hash_idx ON dialog (hash_entry, hash_id);
>>
>> And in the version table, the table_version is now 8.
>>
>> -Laszlo
>>
>>
>> 2013/3/18 [hidden email] <[hidden email]>:
>>> Also since you copied script from 1.8 you should consider going through this
>>> document.
>>>
>>> http://www.opensips.org/Resources/DocsMigration180to190
>>>
>>> -Qasim
>>>
>>>
>>> On Mon, Mar 18, 2013 at 2:34 PM, [hidden email] <[hidden email]>
>>> wrote:
>>>>
>>>> Set debug level to 6 and then send the logs again.
>>>>
>>>> -Qasim
>>>>
>>>>
>>>> On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes
>>>> <[hidden email]> wrote:
>>>>>
>>>>> Yes, the table/DB name is correct. the same as in config.h in the
>>>>> sources.
>>>>> #define VERSION_TABLE     "version"             /*!< Table holding
>>>>> versions of other opensips tables */
>>>>> #define VERSION_COLUMN    "table_version"       /*!< Column name for the
>>>>> version value in version table */
>>>>> #define TABLENAME_COLUMN  "table_name"          /*!< Column name of the
>>>>> table name column in the version table */
>>>>>
>>>>> mysql> describe version;
>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>> | Field         | Type             | Null | Key | Default | Extra |
>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>> | table_name    | char(32)         | NO   | PRI | NULL    |       |
>>>>> | table_version | int(10) unsigned | NO   |     | 0       |       |
>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>> 2 rows in set (0.00 sec)
>>>>>
>>>>>
>>>>> On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]>
>>>>> wrote:
>>>>>
>>>>> Have you confirmed that table/DB name is correct? You can verify your
>>>>> version table from config.h in your sources.
>>>>>
>>>>> -Qasim
>>>>>
>>>>> On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes
>>>>> <[hidden email]> wrote:
>>>>>>
>>>>>> Hello,
>>>>>>
>>>>>> I have installed an opensips 1.9
>>>>>> I have the configuration copied from an 1.8 setup created a brand new
>>>>>> database  when I start it I am getting the following errors:
>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>> ERROR:core:db_check_table_version: invalid version 0 for table dialog found,
>>>>>> expected 8
>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>> ERROR:dialog:init_dlg_db: error during table version check.
>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>> ERROR:dialog:mod_init: failed to initialize the DB support
>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>> ERROR:core:init_mod: failed to initialize module dialog
>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main:
>>>>>> error while initializing modules
>>>>>>
>>>>>> The error is telling about invalid version of the dialog table however
>>>>>> if I check the version table the dialog has the value 8 as it supposed to
>>>>>> have it.
>>>>>>
>>>>>> Thanks
>>>>>> Peter
>>>>>> _______________________________________________
>>>>>> Users mailing list
>>>>>> [hidden email]
>>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> Users mailing list
>>>>> [hidden email]
>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> Users mailing list
>>>>> [hidden email]
>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>
>>>>
>>>
>>>
>>> _______________________________________________
>>> Users mailing list
>>> [hidden email]
>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>
>>
>> _______________________________________________
>> Users mailing list
>> [hidden email]
>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

zozo6015
Yes I am using the new database.
All the fields you were talking about in your previous posts are there the version in the version table is also correct but when I start the opensips the error is still there.

I am totally clueless and unless I will be able to make this work I will have to  uninstall this and install the 1.8 which is working fine for me.
Regards
Peter
On 18 Mar 2013, at 12:03, Laszlo <[hidden email]> wrote:

> No, as long as you using the new 1.9 database name in the db_url parameter.
>
>
> 2013/3/18 Peter Zoltan Keresztes <[hidden email]>:
>> Does it have anything to do with the dialog part of the configuration?
>>
>> # dialog
>> modparam('dialog', 'db_url', 'mysql://root:sp110q@db/votosips_pp')
>> modparam('dialog', 'dlg_match_mode', 1)
>> modparam('dialog', 'db_mode', 2)
>>
>> Regards,
>> Peter
>> On 18 Mar 2013, at 11:46, Laszlo <[hidden email]> wrote:
>>
>>> Also check the table schema of the dialog module, see
>>> dialog-create.sql under /scripts/mysql
>>> There are differences between 1.8 and 1.9.
>>>
>>> dlg_id BIGINT(10) UNSIGNED PRIMARY KEY NOT NULL was removed
>>>
>>> id INT(10) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL
>>> hash_entry INT(10) UNSIGNED NOT NULL
>>> hash_id INT(10) UNSIGNED NOT NULL
>>>
>>> was added.
>>>
>>> plus there is a new index:
>>> CREATE INDEX hash_idx ON dialog (hash_entry, hash_id);
>>>
>>> And in the version table, the table_version is now 8.
>>>
>>> -Laszlo
>>>
>>>
>>> 2013/3/18 [hidden email] <[hidden email]>:
>>>> Also since you copied script from 1.8 you should consider going through this
>>>> document.
>>>>
>>>> http://www.opensips.org/Resources/DocsMigration180to190
>>>>
>>>> -Qasim
>>>>
>>>>
>>>> On Mon, Mar 18, 2013 at 2:34 PM, [hidden email] <[hidden email]>
>>>> wrote:
>>>>>
>>>>> Set debug level to 6 and then send the logs again.
>>>>>
>>>>> -Qasim
>>>>>
>>>>>
>>>>> On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes
>>>>> <[hidden email]> wrote:
>>>>>>
>>>>>> Yes, the table/DB name is correct. the same as in config.h in the
>>>>>> sources.
>>>>>> #define VERSION_TABLE     "version"             /*!< Table holding
>>>>>> versions of other opensips tables */
>>>>>> #define VERSION_COLUMN    "table_version"       /*!< Column name for the
>>>>>> version value in version table */
>>>>>> #define TABLENAME_COLUMN  "table_name"          /*!< Column name of the
>>>>>> table name column in the version table */
>>>>>>
>>>>>> mysql> describe version;
>>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>>> | Field         | Type             | Null | Key | Default | Extra |
>>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>>> | table_name    | char(32)         | NO   | PRI | NULL    |       |
>>>>>> | table_version | int(10) unsigned | NO   |     | 0       |       |
>>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>>> 2 rows in set (0.00 sec)
>>>>>>
>>>>>>
>>>>>> On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]>
>>>>>> wrote:
>>>>>>
>>>>>> Have you confirmed that table/DB name is correct? You can verify your
>>>>>> version table from config.h in your sources.
>>>>>>
>>>>>> -Qasim
>>>>>>
>>>>>> On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes
>>>>>> <[hidden email]> wrote:
>>>>>>>
>>>>>>> Hello,
>>>>>>>
>>>>>>> I have installed an opensips 1.9
>>>>>>> I have the configuration copied from an 1.8 setup created a brand new
>>>>>>> database  when I start it I am getting the following errors:
>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>> ERROR:core:db_check_table_version: invalid version 0 for table dialog found,
>>>>>>> expected 8
>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>> ERROR:dialog:init_dlg_db: error during table version check.
>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>> ERROR:dialog:mod_init: failed to initialize the DB support
>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>> ERROR:core:init_mod: failed to initialize module dialog
>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main:
>>>>>>> error while initializing modules
>>>>>>>
>>>>>>> The error is telling about invalid version of the dialog table however
>>>>>>> if I check the version table the dialog has the value 8 as it supposed to
>>>>>>> have it.
>>>>>>>
>>>>>>> Thanks
>>>>>>> Peter
>>>>>>> _______________________________________________
>>>>>>> Users mailing list
>>>>>>> [hidden email]
>>>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> Users mailing list
>>>>>> [hidden email]
>>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>>
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> Users mailing list
>>>>>> [hidden email]
>>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>>
>>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> Users mailing list
>>>> [hidden email]
>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>
>>>
>>> _______________________________________________
>>> Users mailing list
>>> [hidden email]
>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>
>>
>> _______________________________________________
>> Users mailing list
>> [hidden email]
>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: open sips 1.9 issue

zozo6015
Hello,

One of the nodes of the mysql cluster was out of sync and this issue was because of it.
Thanks for all your helps.
Peter
On 18 Mar 2013, at 12:08, Peter Zoltan Keresztes <[hidden email]> wrote:

> Yes I am using the new database.
> All the fields you were talking about in your previous posts are there the version in the version table is also correct but when I start the opensips the error is still there.
>
> I am totally clueless and unless I will be able to make this work I will have to  uninstall this and install the 1.8 which is working fine for me.
> Regards
> Peter
> On 18 Mar 2013, at 12:03, Laszlo <[hidden email]> wrote:
>
>> No, as long as you using the new 1.9 database name in the db_url parameter.
>>
>>
>> 2013/3/18 Peter Zoltan Keresztes <[hidden email]>:
>>> Does it have anything to do with the dialog part of the configuration?
>>>
>>> # dialog
>>> modparam('dialog', 'db_url', 'mysql://root:sp110q@db/votosips_pp')
>>> modparam('dialog', 'dlg_match_mode', 1)
>>> modparam('dialog', 'db_mode', 2)
>>>
>>> Regards,
>>> Peter
>>> On 18 Mar 2013, at 11:46, Laszlo <[hidden email]> wrote:
>>>
>>>> Also check the table schema of the dialog module, see
>>>> dialog-create.sql under /scripts/mysql
>>>> There are differences between 1.8 and 1.9.
>>>>
>>>> dlg_id BIGINT(10) UNSIGNED PRIMARY KEY NOT NULL was removed
>>>>
>>>> id INT(10) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL
>>>> hash_entry INT(10) UNSIGNED NOT NULL
>>>> hash_id INT(10) UNSIGNED NOT NULL
>>>>
>>>> was added.
>>>>
>>>> plus there is a new index:
>>>> CREATE INDEX hash_idx ON dialog (hash_entry, hash_id);
>>>>
>>>> And in the version table, the table_version is now 8.
>>>>
>>>> -Laszlo
>>>>
>>>>
>>>> 2013/3/18 [hidden email] <[hidden email]>:
>>>>> Also since you copied script from 1.8 you should consider going through this
>>>>> document.
>>>>>
>>>>> http://www.opensips.org/Resources/DocsMigration180to190
>>>>>
>>>>> -Qasim
>>>>>
>>>>>
>>>>> On Mon, Mar 18, 2013 at 2:34 PM, [hidden email] <[hidden email]>
>>>>> wrote:
>>>>>>
>>>>>> Set debug level to 6 and then send the logs again.
>>>>>>
>>>>>> -Qasim
>>>>>>
>>>>>>
>>>>>> On Mon, Mar 18, 2013 at 2:14 PM, Peter Zoltan Keresztes
>>>>>> <[hidden email]> wrote:
>>>>>>>
>>>>>>> Yes, the table/DB name is correct. the same as in config.h in the
>>>>>>> sources.
>>>>>>> #define VERSION_TABLE     "version"             /*!< Table holding
>>>>>>> versions of other opensips tables */
>>>>>>> #define VERSION_COLUMN    "table_version"       /*!< Column name for the
>>>>>>> version value in version table */
>>>>>>> #define TABLENAME_COLUMN  "table_name"          /*!< Column name of the
>>>>>>> table name column in the version table */
>>>>>>>
>>>>>>> mysql> describe version;
>>>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>>>> | Field         | Type             | Null | Key | Default | Extra |
>>>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>>>> | table_name    | char(32)         | NO   | PRI | NULL    |       |
>>>>>>> | table_version | int(10) unsigned | NO   |     | 0       |       |
>>>>>>> +---------------+------------------+------+-----+---------+-------+
>>>>>>> 2 rows in set (0.00 sec)
>>>>>>>
>>>>>>>
>>>>>>> On 18 Mar 2013, at 08:08, "[hidden email]" <[hidden email]>
>>>>>>> wrote:
>>>>>>>
>>>>>>> Have you confirmed that table/DB name is correct? You can verify your
>>>>>>> version table from config.h in your sources.
>>>>>>>
>>>>>>> -Qasim
>>>>>>>
>>>>>>> On Sun, Mar 17, 2013 at 10:32 PM, Peter Zoltan Keresztes
>>>>>>> <[hidden email]> wrote:
>>>>>>>>
>>>>>>>> Hello,
>>>>>>>>
>>>>>>>> I have installed an opensips 1.9
>>>>>>>> I have the configuration copied from an 1.8 setup created a brand new
>>>>>>>> database  when I start it I am getting the following errors:
>>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>>> ERROR:core:db_check_table_version: invalid version 0 for table dialog found,
>>>>>>>> expected 8
>>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>>> ERROR:dialog:init_dlg_db: error during table version check.
>>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>>> ERROR:dialog:mod_init: failed to initialize the DB support
>>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]:
>>>>>>>> ERROR:core:init_mod: failed to initialize module dialog
>>>>>>>> Mar 17 09:56:35 freya /usr/local/sbin/opensips[434]: ERROR:core:main:
>>>>>>>> error while initializing modules
>>>>>>>>
>>>>>>>> The error is telling about invalid version of the dialog table however
>>>>>>>> if I check the version table the dialog has the value 8 as it supposed to
>>>>>>>> have it.
>>>>>>>>
>>>>>>>> Thanks
>>>>>>>> Peter
>>>>>>>> _______________________________________________
>>>>>>>> Users mailing list
>>>>>>>> [hidden email]
>>>>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>>>
>>>>>>>
>>>>>>> _______________________________________________
>>>>>>> Users mailing list
>>>>>>> [hidden email]
>>>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> _______________________________________________
>>>>>>> Users mailing list
>>>>>>> [hidden email]
>>>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>>>
>>>>>>
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> Users mailing list
>>>>> [hidden email]
>>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>>>
>>>>
>>>> _______________________________________________
>>>> Users mailing list
>>>> [hidden email]
>>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>>
>>>
>>> _______________________________________________
>>> Users mailing list
>>> [hidden email]
>>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>>
>> _______________________________________________
>> Users mailing list
>> [hidden email]
>> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users